Summary:      Miniature XML development library
Name:         mxml
Version:      3.3.1
Release:    1%{?dist}
License:      ASL 2.0 with exception
URL:          http://www.msweet.org/blog.php?L+Z3
Source0:      https://github.com/michaelrsweet/mxml/archive/v%{version}.tar.gz
BuildRequires: make
BuildRequires: gcc

%description
Mini-XML is a small XML parsing library that you can use to read XML
and XML-like data files in your application without requiring large
non-standard libraries.

%package devel
Summary:  Libraries, includes, etc to develop mxml applications
Requires: mxml = %{version}-%{release}
Requires: pkgconfig

%description devel
Libraries, include files, etc you can use to develop mxml
applications.

%prep
%setup -q

%build
%configure --enable-shared
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make BUILDROOT=%{buildroot} install

rm %{buildroot}%{_libdir}/libmxml.a

rm -rf %{buildroot}%{_datadir}/doc/mxml/

rm -f %{buildroot}%{_datadir}/man/cat*/*

%files
%license LICENSE
%doc README.md
%{_libdir}/libmxml.so.1*

%files devel
%doc CHANGES.md doc/*.html doc/*.png
%{_includedir}/*.h
%{_libdir}/libmxml.so
%{_mandir}/*/*
%{_libdir}/pkgconfig/mxml.pc

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.3.1-1
- initial build
